A simple integration test script meant to exercise mojo but avoid all other time consuming tasks.
The goal here is to use mojo as it is used in production and test it in ways that are hard or impractical to do with only unit tests.

For the sake of speed this integration test where possible avoids downloading as well as exercising other projects, ie jujudeployer or juju itself but rather does the bare minimum with those to validate Mojo's interaction with them.

Some parts of this spec are expected to fail and in others the test is for valid output so a helper script, run_tests.py is provided to catch failures as well as setup the project and at times validate output.

To enumerate the primary goal of various tests I have comments beginning with 'TEST:' to the various
files, a grep such as `grep -r TEST: --exclude README.md ./` is a good way to see them all.
Of course some tests such as are inherent in the running of mojo and not explicitly called out.

# Todo
- More tests including:
  - stop-on
  - debug logs
  - juju-check-wait
  - build deps phase with repos and repo-keys
  - deploy-show
  - deploy-diff
