This directory contains scripts for testing Mojo and Mojo specs.
These scripts make a number of assumptions including:
  - Mojo and all dependencies are installed.
  - A local LXD environment is ready for use.
  - Juju2 is installed and for the running user is setup with a controller where new models can be created.

## spec-test script
This script is intended to test a spec with a single command in a repeatable way.
It builds a new project and workspace, does a 'mojo run' and prompts to tear it all down.
A secrets dir can be specified if needed, run with '-h' for details.

## integration-test script
This script runs the locally installed mojo through tests to verify it is working as expected.
It utilizes the version of mojo in the path and so you must first ensure that is the version of mojo you wish to run and ideally the machine setup closely matches your production environment.
I typically run `cd debian;debuild --no-tgz-check -d -sa -I.bzr -us -uc` then install the built deb to make sure the code I am working on is being tested.

Data for the tests run is in the integration-tests directory.
